Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2139330 - gtk4-4.8.2-1.fc37 broke widget focus in some apps
Summary: gtk4-4.8.2-1.fc37 broke widget focus in some apps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk4
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-02 08:11 UTC by Kamil Páral
Modified: 2022-11-08 01:49 UTC (History)
4 users (show)

Fixed In Version: gtk4-4.8.2-2.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-08 01:49:22 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME gtk merge_requests 5189 0 None opened focus: fall back to old behaviour if we didn't focus anything 2022-11-02 08:11:22 UTC
GNOME Gitlab GNOME nautilus issues 2574 0 None opened Switching between Grid/List view grabs keyboard focus, no keys work, mouse must be used to get unstuck 2022-11-02 08:11:22 UTC

Description Kamil Páral 2022-11-02 08:11:23 UTC
Description of problem:
A recent update in gtk4 caused issues in focusing widgets in apps, sometimes the focus can get lost and can't be restored with keyboard only, a mouse must be used instead.

Here an example in Nautilus:
https://gitlab.gnome.org/GNOME/nautilus/-/issues/2574
And here's Adam's attempt to fix it:
https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/5189

This is not just about the single use case in Nautilus, I believe I see several areas in Nautilus where this broke and also some in gnome-text-editor. There will be probably more.

This is obviously bad for accessibility. Proposing as a freeze exception, if the available fix is accepted in time.

Version-Release number of selected component (if applicable):
gtk4-4.8.2-1.fc37.x86_64

Comment 1 Adam Williamson 2022-11-02 18:15:02 UTC
This doesn't really need an FE, as the bug was only in the 43.1 megaupdate (it's not in stable); I've ninja'd the fix into that now.

Comment 2 Fedora Update System 2022-11-02 18:15:44 UTC
FEDORA-2022-ce3b8fbd4d has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ce3b8fbd4d

Comment 3 Fedora Update System 2022-11-03 08:46:44 UTC
FEDORA-2022-ce3b8fbd4d has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-ce3b8fbd4d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-ce3b8fbd4d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Adam Williamson 2022-11-03 16:23:46 UTC
openQA tests confirm this fixed both the nautilus and gnome-text-editor cases. I reverted Lukas' workarounds in the tests before they ran on the candidate compose.

Comment 5 Fedora Update System 2022-11-08 01:49:22 UTC
FEDORA-2022-ce3b8fbd4d has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.